Subject: Re: [PATCH 1/2] Driver for Freescale 8610 and 5121 DIU

From: Jiri Slaby <[email-masked]>
Date: Mon, 14 Apr 2008 17:43:32 +0200

On 04/14/2008 04:49 PM, Timur Tabi wrote:
> Jiri Slaby wrote:
>> On 04/14/2008 04:12 PM, Timur Tabi wrote:
>>> Unfortunately, the author of the patch, York, is out this week, so I'll have to
>>> take care of this.  It'd be easier to modify rh_alloc() so that it doesn't
>>> sleep, so that's what I'm going to do.
>> Anyway, why do you need the spin lock there (and not mutex)? 
> 
> I don't know.  A spinlock just seemed obvious.  Why would I prefer a mutex?

Mainly because you can sleep inside locked mutex and because spinlock shouldn't
be used for too many lines of code (busy waiting etc.). I think ldd3 will be
more descriptive than me here :).